Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPProbeFilter Class Reference

`#include <vtkPProbeFilter.h>`

Inheritance diagram for vtkPProbeFilter:

[legend]
Collaboration diagram for vtkPProbeFilter:

[legend]
List of all members.

## Detailed Description

probe dataset in parallel

Date:
  2002/08/26 17:54:34

Revision:
  1.1

Created by:
  - Cedilnik, Andy

CVS contributions (if > 5%):
  - Cedilnik, Andy (80%)
  - Law, Charles (19%)

CVS logs (CVSweb):
  - .`h` (`/Parallel/vtkPProbeFilter.h)`
  - .`cxx` (`/Parallel/vtkPProbeFilter.cxx)`

Tests:
  vtkPProbeFilter (Tests)

Definition at line 45 of file vtkPProbeFilter.h.

## Public Types
typedef vtkProbeFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetController (vtkMultiProcessController *)
virtual vtkMultiProcessController * | GetController ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkPProbeFilter * | SafeDownCast (vtkObject *o)
vtkPProbeFilter * | New ()
## Protected Methods
| vtkPProbeFilter ()
| ~vtkPProbeFilter ()
virtual void | Execute ()
virtual void | ExecuteInformation ()
virtual void | ComputeInputUpdateExtents (vtkDataObject *output)
## Protected Attributes
vtkMultiProcessController * | Controller

## Member Typedef Documentation

typedef vtkProbeFilter vtkPProbeFilter::Superclass

| Reimplemented from vtkProbeFilter. Definition at line 48 of file vtkPProbeFilter.h.

## Constructor & Destructor Documentation

vtkPProbeFilter::vtkPProbeFilter | ( |  | ) | `[protected]`

vtkPProbeFilter::~vtkPProbeFilter | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkPProbeFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkProbeFilter.

int vtkPProbeFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkProbeFilter.

virtual int vtkPProbeFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkProbeFilter.

vtkPProbeFilter* vtkPProbeFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkProbeFilter.

void vtkPProbeFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkProbeFilter.

vtkPProbeFilter* vtkPProbeFilter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkProbeFilter.

virtual void vtkPProbeFilter::SetController | ( | vtkMultiProcessController * |  | ) | `[virtual]`

| Set and get the controller.

virtual vtkMultiProcessController* vtkPProbeFilter::GetController | ( |  | ) | `[virtual]`

| Set and get the controller.

virtual void vtkPProbeFilter::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkProbeFilter.

virtual void vtkPProbeFilter::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkProbeFilter.

virtual void vtkPProbeFilter::ComputeInputUpdateExtents | ( | vtkDataObject * | output | ) | `[protected, virtual]`

| By default copy the output update extent to the input Reimplemented from vtkProbeFilter.

## Member Data Documentation

vtkMultiProcessController* vtkPProbeFilter::Controller`[protected]`

| Definition at line 68 of file vtkPProbeFilter.h.

The documentation for this class was generated from the following file:

- Parallel/vtkPProbeFilter.h